//
// $Source: /mnt/cvs/rep/CW/HID08/Sources/usb_descriptors.h,v $
// $Id: usb_descriptors.h,v 1.1 2008/04/27 13:44:12 noritan Exp $
//
extern const byte strDescTableSize;
extern const byte * const strDescTable[];
extern const byte reportDesc0[25];
extern const byte reportDesc1[45];
extern const DeviceDescriptor     deviceDesc;

typedef struct {
  const ConfigurationDescriptor   __configDesc;
  const InterfaceDescriptor       __interfaceDesc0;
  const HidDescriptor             __hidDesc0;
  const EndpointDescriptor        __endpointDesc2In;
  const EndpointDescriptor        __endpointDesc2Out;
  const InterfaceDescriptor       __interfaceDesc1;
  const HidDescriptor             __hidDesc1;
  const EndpointDescriptor        __endpointDesc1In;
} ConfigurationDescriptors;

extern const ConfigurationDescriptors configurationDescriptors;

#define     configDesc          configurationDescriptors.__configDesc
#define     interfaceDesc0      configurationDescriptors.__interfaceDesc0
#define     hidDesc0            configurationDescriptors.__hidDesc0
#define     endpointDesc2In     configurationDescriptors.__endpointDesc2In
#define     endpointDesc2Out    configurationDescriptors.__endpointDesc2Out
#define     interfaceDesc1      configurationDescriptors.__interfaceDesc1
#define     hidDesc1            configurationDescriptors.__hidDesc1
#define     endpointDesc1In     configurationDescriptors.__endpointDesc1In

